blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
6e6d9f7e0d17b6827b92cfe49420bc3757170261
Shell
stjordanis/avalanche-cli
/cli/rpc/post.sh
UTF-8
1,512
3.15625
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash ############################################################################### function rpc_post { local mime="${3-content-type:application/json}" ; local args="--url '${1}' --header '${mime}'" ; if [ -n "$AVAX_AUTH_HEADER" ] ; then args="${args} --header 'authorization:${AVAX_...
true
1ce5acf384c7a16da2b5eeb01473c7a21180512d
Shell
mp15/npg_conda
/recipes/nanopolish/0.8.5/build.sh
UTF-8
287
2.59375
3
[]
no_license
#!/bin/sh set -e git submodule update --init --recursive make EIGEN=noinstall HDF5=noinstall HTS=noinstall CXXFLAGS="-I$PREFIX/include -I$PREFIX/include/eigen3" LDFLAGS="-L$PREFIX/lib" # There is no install target in the Makefile mkdir -p "$PREFIX/bin" cp nanopolish "$PREFIX/bin/"
true
69038ff51fd139a365cd4fb29e500d4a238d4f8c
Shell
shuuuuun/static-website-cfn
/bin/cfn-cancel
UTF-8
183
2.546875
3
[ "MIT" ]
permissive
#!/bin/sh set -eu ROOT_PATH="$(cd "$(dirname $0)/../"; pwd)" source "$ROOT_PATH/env" aws cloudformation cancel-update-stack \ --profile $AWS_PROFILE \ --stack-name $STACK_NAME
true
f9078ce9667f157e17ff1610bfcc99ca4329b7e0
Shell
AkBKukU/MinecraftServerSuite
/webScrapingTest.sh
UTF-8
225
2.828125
3
[]
no_license
#!/bin/bash # webDataParsing # Reads web pages to get cersion numbers and download links if [ -f './webDataParsing.sh' ] then source ./webDataParsing.sh fi serverType="vanilla" echo "$(getNewestVersion): $(getNewLink)"
true
762d470947148647bde6f33a230dd48286a94c64
Shell
delkyd/alfheim_linux-PKGBUILDS
/edb-debugger-git/PKGBUILD
UTF-8
1,726
2.859375
3
[]
no_license
# Maintainer: maz_1 <ohmygod19993 at gmail dot com> _pkgname=edb-debugger pkgname=$_pkgname-git pkgver=r906.863ea6a pkgrel=1 pkgdesc="EDB (Evan's Debugger) is a binary mode debugger with the goal of having usability on par with OllyDbg. Git version" arch=('i686' 'x86_64') url='http://www.codef00.com/projects#debugger'...
true
3eee75f6875d40ea71947c7f65a433eaa57e115f
Shell
benranco/docs
/scripts/extractOnlySeqIdsFromFastaFiles.sh
UTF-8
763
4.125
4
[]
no_license
#!/bin/bash echo "extractOnlySeqIdsFromFastaFiles.sh" ########################################### # Editable parameters inFolder="." outFolder="." # make sure the input file naming conventions match this and are consistent for all files inFilenameEnd=".fasta" outFilenamePrefix="seqIds_" ###########################...
true
4ea22ca9dbdb6febed91b902a9490c49196f9ea4
Shell
kevinmao/fcc-nnc
/viz/topwords.sh
UTF-8
483
2.890625
3
[]
no_license
#!/bin/bash # global vars source ../config.sh mkdir -p ${Report_Data} ####################################### # calculate word counts for top5 topics ####################################### Data="${Mallet_Data}/unigram/20" doc_topics="${Data}/infer.doc_topics.txt" topic_keys="${Data}/topic_keys.txt" word_topic_counts...
true
ef279164b583ca393a962c183fce506331b03c84
Shell
mohancggrl/nandha
/sh.sh
UTF-8
964
3.375
3
[]
no_license
#!/bin/bash wsp="/tmp/nandha" dt="/tmp/mohan" cd $wsp env1="$wsp/db/package/ec20.5/prod" env2="$wsp/db/package/ec20.5/preprod" env3="$wsp/db/package/ec20.5/qa" env4="$wsp/db/package/ec20.5/uat" mkdir -p $wsp/db/package/ec20.5/{prod,preprod,uat,qa} #chown -R jenkins:jenkins $wsp/package/* chmod -R 777 $wsp/db/package/* ...
true
7ac20109ae3b2a7b0e60c012445770a383c07890
Shell
ReadMoa/web-service
/tools/serving/update_serving_data.sh
UTF-8
651
3.390625
3
[ "MIT" ]
permissive
#!/bin/bash # # Should execute under the root directory (web-service) # $ ./tools/serving/update_serving_data.sh test echo "----------------------------------------------" echo "START updating serving storage" echo "----------------------------------------------" START=$(date +%s) # Take the first argument as 'mode'...
true
a3353368b4774ace7205b5ae5a3298f0d5ba63f3
Shell
KaOSx/main
/python3-pygments/PKGBUILD
UTF-8
727
2.6875
3
[]
no_license
pkgname=python3-pygments pkgver=2.16.1 pkgrel=1 pkgdesc="Python syntax highlighter" arch=('x86_64') url="https://pygments.org/" license=('BSD') depends=('python3') makedepends=('python3-build' 'python3-installer' 'python3-setuptools' 'python3-wheel') source=("https://pypi.org/packages/source/P/Pygments/Pygments-${pkgv...
true
e28822f384e0fc0d02ebad0632c81a08f24d1096
Shell
heavysink/repo
/archlinuxcn/gtk3-no-tracker/PKGBUILD
UTF-8
2,886
2.640625
3
[]
no_license
# Maintainer: Jan Alexander Steffens (heftig) <heftig@archlinux.org> # Contributor: Ionut Biru <ibiru@archlinux.org> pkgbase=gtk3-no-tracker pkgname=(gtk3-no-tracker) pkgver=3.24.33 pkgrel=1 epoch=1 pkgdesc="GObject-based multi-platform GUI toolkit" arch=(x86_64) url="https://www.gtk.org/" depends=(atk cairo libxcurso...
true
e1c72fef32e827e0101aa0e3421ae44628e7892b
Shell
TheRealXG/Calculator
/docker/static_analysis/usr/tmp/start.sh
UTF-8
183
2.640625
3
[]
no_license
#!/bin/bash if [ -z "$SRC_VOL" ]; then export SRC_VOL="/volume" fi chmod +x $SRC_VOL/testScripts/start_static_analysis.sh cd $SRC_VOL $SRC_VOL/testScripts/start_static_analysis.sh
true
f96d076eb5e9d8549efbae78d11f67729dda2bc1
Shell
TakehiroTada/hub-projects-collection-script
/hub-projects-collection-script.sh
UTF-8
938
3.765625
4
[]
no_license
#!/bin/bash # 環境変数 # リポジトリのデータセット REPOSITORY_LIST='./sample_dataset.csv' # 作業ディレクトリ WORKING_DIR='/home/take/develop/hub-projects-collection-script' cd $WORKING_DIR i=1 while read row; do USERNAME=`echo ${row} | cut -d , -f 12` REPO_NAME=`echo ${row} | cut -d , -f 4` REPO_URI="https://github.com/${USERNAME}/${...
true
72925a13fcfef65513a9aa9c6add2db44cb3d082
Shell
fredcollman/dotfiles
/bin/hotfix-done.sh
UTF-8
372
3.0625
3
[]
no_license
#!/bin/sh set -e hotfix_done() { MASTER_BRANCH=`git config --get gitflow.branch.master` DEV_BRANCH=`git config --get gitflow.branch.develop` HF_BRANCH="hotfix/$1" git checkout $MASTER_BRANCH && \ git merge --no-ff $HF_BRANCH && \ git checkout $DEV_BRANCH && \ git merge --no-ff $HF_BRANCH ...
true
7d5c843931036d7d7ab9d7427fbc5d86eab5ae43
Shell
diggzhang/shangzuoautorobot
/userAttrClass.sh
UTF-8
756
2.71875
3
[]
no_license
YEAR=(`date -d -0day '+%Y'`) MONTH=(`date -d -0day '+%m'`) DAY=(`date -d -0day '+%d'`) MONGOINSTANCE="time mongo --quiet --host 10.8.8.111 onions" echo "++++++++++++++++++++++++++" date echo "daily update user atrribute" echo "running dim_user" $MONGOINSTANCE ./dim_user.js > data_dim_user_$YEAR$MONTH$DAY.csv echo ...
true
cb95ae97de9a5d709f646f7a3b33fd80289f9731
Shell
dymaxionlabs/satlomas-exp
/script/predict_rf_all.sh
UTF-8
2,401
3.390625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash set -xeu -o pipefail function superimpose { otbcli_Superimpose \ -inr $dataset_dir/$2.tif \ -inm $dataset_dir/$1.tif \ -out $results_dir/feats/$1.tif } function extract_all_features { for band in $(seq 1 8); do extract_local_stats s2_10m $band extract_haralick s2_10m $...
true
e0e54eedd4f54eeb6641ef3863ec5289ff437af7
Shell
johmathe/slack
/roles/bach_svn/scripts/postinstall
UTF-8
512
2.734375
3
[]
no_license
#!/bin/bash SVN_ROOT=/home/svn a2enmod ssl dav_svn cp /usr/share/doc/libapache2-mod-svn/examples/svnindex.xsl /var/www/ chown root.www-data /var/www/svnindex.xsl chmod g+r /var/www/svnindex.xsl [ -d $SVN_ROOT ] && echo "$SVN_ROOT already exists, aborting." && exit 1; addgroup svnadm mkdir /home/svn chgrp svnadm /hom...
true
26437c21e941d4f1b5be1bc1161a16d5d638a72a
Shell
smklancher/ANE-Android-Install-Tracking
/Build/buildANE/buildANE.sh
UTF-8
860
2.625
3
[]
no_license
adt="/Applications/Adobe Flash Builder 4.7/eclipse/plugins/com.adobe.flash.compiler_4.7.0.349722/AIRSDK/bin/adt" nativedir="/Users/markhood/Documents/Eclipse64/ANESample_java" echo "********************************************************************" echo " - creating ANE package" rm -rf Android-ARM/* rm -f SampleAS...
true
f641d1e570f01f35332d731481756de55f2dbd60
Shell
bol-van/zapret
/init.d/macos/zapret
UTF-8
915
3.484375
3
[]
no_license
#!/bin/sh EXEDIR="$(dirname "$0")" ZAPRET_BASE="$EXEDIR/../.." ZAPRET_BASE="$(cd "$ZAPRET_BASE"; pwd)" . "$EXEDIR/functions" case "$1" in start) zapret_run_daemons [ "$INIT_APPLY_FW" != "1" ] || zapret_apply_firewall ;; stop) [ "$INIT_APPLY_FW" != "1" ] || zapret_unapply_firewall zapret_stop_daemons ;;...
true
73eed1c027dba9f2e3da0b91ca654eb8c3ebc0f7
Shell
PandikKumar/dell-devops
/ci-scripts/test/unit/pingfederate/configure-delegated-admin/03-idp-adapter-mapping-tests.sh
UTF-8
1,009
2.96875
3
[]
no_license
#!/bin/bash # Source the script we're testing # Suppress env vars noise in the test output . "${HOOKS_DIR}"/utils.lib.sh > /dev/null . "${HOOKS_DIR}"/util/configure-delegated-admin-utils.sh > /dev/null # Mock up get_idp_adapter_mapping, 404 will cause code to create new IDP adapter mapping. get_idp_adapter_mapping() ...
true
b6b5ab9063566430a75c44fa5f2fd92e55fb5551
Shell
nicrip/moos-ivp-rypkema
/clean.sh
UTF-8
693
2.75
3
[]
no_license
#!/bin/bash #--- simple clean script ---# #remove all files in build directory rm -rf ./build/* #remove all files in lib directory rm -rf ./lib/* #remove all files in bin directory (except for original binaries) find ./bin/ -mindepth 1 ! -name "MOOSup.py" ! -name "MyGenMOOSApp" ! -name "README_MOOSup.py" -delete #remo...
true
a5dcabf8cdad56182f1bf060d42c3378d809bbc0
Shell
ryuichiueda/kaigan_shellscript
/201301/LOGWATCH
UTF-8
495
3.484375
3
[]
no_license
#!/bin/bash -vx # # LOGWATCH: 指定したホストのlogwatchメールを収集 # usage: ./LOGWATCH <hostname> # # written by R. Ueda (r-ueda@usp-lab.com) [ $1 = "" ] && exit 1 server=$1 dir=/home/ueda/MAIL dest="$dir/LOGWATCH_$server" cd "$dir" || exit 1 mkdir -p "$dest" || exit 1 echo ????????.utf8/* | xargs grep -F "From: logwatch@$ser...
true
7a8e94b1abfc3e09708afcad35f86f598956e9ff
Shell
leojacoby/python
/shopping.py
UTF-8
1,375
3.484375
3
[]
no_license
#!/bin/sh # shopping.py # # # Created by Leo Jacoby on 8/21/16. # shopping = [] def helper(): print("""Add items to the list. Seperate each item with a comma. Type 'SHOW' to see your current list. When you are done, type 'DONE' in all caps. If you are confused about any of these comands, typ...
true
11b0504dd601c7b0436141f2625914d3109fc236
Shell
lobsterdore/terraform-vpn-example
/files/firewall-client.sh
UTF-8
991
2.65625
3
[]
no_license
#!/bin/sh # Drop everything and clear rules iptables -P OUTPUT DROP iptables -P INPUT DROP iptables -P FORWARD DROP iptables -F # Drop input and forward requests by default iptables -P OUTPUT ACCEPT iptables -P INPUT DROP iptables -P FORWARD DROP # Prevent external packets from using loopback addr iptables -A INPUT ...
true
f4c59635f14a41fcde05d353aa8ac021fbf10820
Shell
ciccalab/sysSVM
/raw_scripts/data_parsing.sh
UTF-8
909
2.9375
3
[]
no_license
#!/bin/sh ## Set the working Directorty to be the current one, i.e. where you are submitting the script ##$ -cwd ##$ -j y ## Set the SHELL type to be sh## #$ -S /bin/sh ## Set the Parallel Environment (in this case mpi) ##$ -pe smp 1 while getopts ':s:m:i:c:t:v:g:' flag; do case "${flag}" in s) sample_dir="${...
true
83946e550cbc15480b22159b1d2392ce5e659041
Shell
Lianathanoj/dotfiles
/setup/setup1_mac.sh
UTF-8
2,644
4.125
4
[]
no_license
#!/usr/bin/env bash ################################################################################################### # Description: This creates a local Github directory, downloads homebrew, downloads git, sets up # git credentials, and clones my dotfiles. # Instructions: Navigate to https://github....
true
0bc7e8c3618a68c4eda4910ca384081de9911826
Shell
pylipp/sdd
/completion/sdd
UTF-8
1,824
3.59375
4
[ "MIT" ]
permissive
# sdd completion # # @author: Sergei Eremenko (https://github.com/SmartFinn) # @license: MIT license (MIT) # @link: https://github.com/pylipp/sdd _sdd_list_available() { local app_name command -v sdd >/dev/null || return 1 while read -r _ app_name; do [ -n "$app_name" ] || continue printf...
true
712390134792f55329f59f74f28ef706cc60964c
Shell
poftwaresatent/bktools
/backup-l2.sh
UTF-8
565
3.21875
3
[]
no_license
#!/bin/sh HOST=ide10190 SRC="/rolo /Users/rolphi" FILTER='-e .DS_Store -e /rolo/tmp -e /Users/rolphi/Library/Logs -e /Users/rolphi/Library/Developer/Shared/Documentation -e /Users/rolphi/Library/Caches' # find level 1 stamp file L1STAMP=`ls -t $HOST-l1-*.stamp | head -n 1` if [ -z "$L1STAMP" ]; then echo "ERROR...
true
a10bc62a09c6d641b2439ca05f28e42a66882486
Shell
jerinshajit97/bash_scripts
/Sec_News24x7/secnews24x7.sh
UTF-8
1,031
3.46875
3
[]
no_license
#!/bin/bash echo "*********Running SEC NEWS 24x7***********" echo "[+] clearing previous fetch" echo "SEC NEWS 24x7 updated on $(date)" > secnews.txt echo "[+] fetching hot news " echo "[+] fetching headlines " curl https://thehackernews.com/ | grep "</h2>" | sed -e 's/<[^>]*>//g' > news.txt link=$(curl https://thehac...
true
9fc5efa0d8057f93e5964df6ac230be6da2deb3e
Shell
mjamesruggiero/dotfiles
/merge_csvs.sh
UTF-8
511
3.96875
4
[]
no_license
#!/bin/bash # munge a series of CSVs into one big CSV # takes the name of what will be the concatenated CSV OUT_FILE_NAME=$1 i=0 for FILE_NAME in ./*.csv; do if [ "$FILE_NAME" != "$OUT_FILE_NAME" ] ; then # echo "about to concat $FILE_NAME" if [[ $i -eq 0 ]] ; then head -1 $FILE...
true
c32486ff3b602549071d256c2c3bbc7208f9ffe5
Shell
dpitic/apue
/clang-config.sh
UTF-8
643
3.25
3
[]
no_license
#!/usr/bin/env bash # # File: clang-config.sh # Author: dpitic # # Created on 29/01/2018, 8:44:05 AM # # Configures the .clang_complete file based on system type. # case `./systype.sh` in "freebsd") cp .clang_complete.freebsd .clang_complete cp .clang_complete.freebsd .clang ;; "openbsd") cp .clang_...
true
0f31832b1c17079e89e37d90458d4f4e99a7b661
Shell
hortonworks/cloudbreak
/performance-test/perftest.sh
UTF-8
1,129
2.6875
3
[ "LicenseRef-scancode-warranty-disclaimer", "ANTLR-PD", "CDDL-1.0", "bzip2-1.0.6", "Zlib", "BSD-3-Clause", "MIT", "EPL-1.0", "LicenseRef-scancode-proprietary-license", "LicenseRef-scancode-jdbm-1.00", "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash : ${CB_PERFTEST_HOST:=192.168.99.100} : ${CB_MOCK_HOST:="mockhosts"} : ${CB_USERNAME:=admin@example.com} : ${CB_PASSWORD:=cloudbreak} : ${CB_NUMBER_OF_USERS:=1} : ${CB_RAMPUP_SECONDS:=3} : ${CB_DELAY_BEFORE_TERM:=60} echo "[!!] Make sure you spinned up the mock server: CB_SERVER_ADDRESS=$CB_PERFTEST_HOST ...
true
7c0b45a7abc6c63d42f349d7375439eee685c6fb
Shell
delkyd/alfheim_linux-PKGBUILDS
/lib32-libmumble/PKGBUILD
UTF-8
1,751
2.640625
3
[]
no_license
# shellcheck shell=bash # shellcheck disable=SC2034,SC2148,SC2154 # Maintainer: Zeke Sonxx <zeke@zekesonxx.com> # Contributer: Matjaz Mozetic <rationalperseus@gmail.com> # Contributor: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com> # Contributor: Sven-Hendrik Haase <sh@lutzhaase.com> # Contributor: Lauri Nisk...
true
41bd2b7fd6f420f41d66866c21d9df26ec3a7ce4
Shell
aur-archive/checksums
/PKGBUILD
UTF-8
680
2.546875
3
[]
no_license
# Contributor: Mladen Pejakovic <pejakm@gmail.com> pkgname=checksums pkgver=0.4 pkgrel=2 pkgdesc="Service menu and a small script for calculation of md5, sha1 and sha256 checksums. Based on KonqCheckSum service menu" url="http://kde-look.org/content/show.php/KonqCheckSum?content=83460" depends=('kdebase-workspace') op...
true
01c3cb082789b51d99737231a5b52fbb379f9590
Shell
cl-/realtimeTicTac_mobile
/auto_restart_nodejs_server.min.UNIX.sh
UTF-8
729
3.515625
4
[]
no_license
#!/bin/sh while read userInput do echo To stop this script, press Ctrl-C. echo To make this script do nothing, enter any non-empty value and press enter. ## test -n gives True if the length of string is non-zero --> 1st True leads to checking "break/continue" and executing it test -n "$userInput" && continue ...
true
ad3d58a9cd0c67656628d67d5912a102f58114ac
Shell
hapebe/linux-itw
/local-mail/mail-proc.sh
UTF-8
741
3.5625
4
[]
no_license
#!/bin/bash # # this is intended to complement an entry in /etc/aliases: # "myprocessor: |/home/hapebe/...../mail-proc.sh" # # remember to run "newaliases" after modyfying that config file! # newaliases was originally part of sendmail, but postfix (and # probably other MTAs) provides a compatibility layer for this...
true
b7fb755ac8ff05e85496958d23d079348f6a0699
Shell
tjoskar/dotfiles
/home/bin/git-fyzzy-checkout
UTF-8
386
3.671875
4
[]
no_license
#!/usr/bin/env bash # Use fzf to checkout a branch # Check if it's a git repo [[ $(git root 2>&1) == 'Not a git repo!' ]] && echo "Not a git repo!" && exit 1 branches=$(git branch --all) && branch=$(echo "$branches" | fzf-tmux --cycle --height=50% --reverse -d $((2 + $(wc -l <<<"$branches"))) +m) && git chec...
true
83c222ecdf000b6274b7e0136525f2fa9ecb838b
Shell
mntech/pascalDD
/agora-java/tools/log_error_check.sh
UTF-8
409
3.484375
3
[]
no_license
#!/bin/sh # Basic script to check the main scraper log for errors (timeouts, etc) MAILTO=jbalint@gmail.com LOGFILE=`/bin/ls -tr runlogs/run-*.log | tail -1` echo "Log file is $LOGFILE" ERRORS=`grep -n -A 0 ERROR $LOGFILE | grep -v 'content type is not an image:' | grep -v 'invalid curl result:'` if [ "$ERRORS" != "...
true
745d422ae7228997fcfe74ed1b93af777bc20193
Shell
chadrien/homebrew-formulas
/contrib/generate.sh
UTF-8
213
3.265625
3
[]
no_license
#!/usr/bin/env bash set -xe CONTRIB_DIR=$(dirname $0) export FORMULA_DIR=$(dirname $CONTRIB_DIR)/Formula mkdir -p ${FORMULA_DIR} for file in $(find ${CONTRIB_DIR}/generators -type f); do bash -xe $file done
true
82a4225d15da7806be7153885430e42d1a0e4777
Shell
virtualstaticvoid/asdf-sonarscanner
/bin/install
UTF-8
1,186
4.125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e set -o pipefail # set -x ASDF_INSTALL_TYPE=${ASDF_INSTALL_TYPE:-version} [ -n "$ASDF_INSTALL_VERSION" ] || (>&2 echo 'Missing ASDF_INSTALL_VERSION' && exit 1) [ -n "$ASDF_INSTALL_PATH" ] || (>&2 echo 'Missing ASDF_INSTALL_PATH' && exit 1) install_plugin() { local install_type=$1 local ...
true
6dafa2ec5a5ed6da6f22256455a7aabbb030ec9e
Shell
XrosLiang/climlab
/conda-recipe/build.sh
UTF-8
1,055
3.09375
3
[ "MIT" ]
permissive
#!/bin/bash # Based on conda-forge recipe for scipy export LIBRARY_PATH="${PREFIX}/lib" export C_INCLUDE_PATH="${PREFIX}/include" export CPLUS_INCLUDE_PATH="${PREFIX}/include" # Depending on our platform, shared libraries end with either .so or .dylib if [[ `uname` == 'Darwin' ]]; then # Also, included a workaro...
true
357b7213266f158ce8ce586ed473679bf1f7c561
Shell
joshua-rutherford/gm-fabric-dashboard
/public/setPath.sh
UTF-8
1,979
4.34375
4
[]
no_license
#!/bin/bash # A script to set the template string __BASE_URL__ # Capture path of JS Bundle pattern="static/js/main.*.js" JS_BUNDLE=( $pattern ) echo $JS_BUNDLE # Quit if the parameter is empty [[ -z "$1" ]] && { echo "No path was entered." ; exit 1; } # If parameter is undo, ask for confirmation and restore backup....
true
260a1297ab17b82a9f47dd77119fbc095dea54f2
Shell
wenliangz/slideslicer
/scripts/makesets.sh
UTF-8
1,642
3.078125
3
[ "BSD-2-Clause" ]
permissive
CLASSES=(infl normal) #DATADIR=../data/data_1024/infl_split/ #DATADIR=/repos/data/data_128_subsample_8x/fullsplit/ #CLASSES=(glom normal) #DATADIR=../data/data_1024/glom_split/ DATADIR="$1" cd $DATADIR; DATADIR=$(pwd -P) cd - echo "CLASSES:" for CLASS in ${CLASSES[@]} do echo -e "\t$CLASS" done test_ids=(70bb30...
true
aca772712c029e0b55599de2bf71113062f7423c
Shell
rubenerd/rubens-lunchbox
/resursive-ln.sh
UTF-8
238
3.1875
3
[ "LicenseRef-scancode-unknown-license-reference", "BSD-3-Clause" ]
permissive
#!/bin/sh ## Recursively build directory of symlinks ## Subdirectories also symlinked ## Desirable if you want to add files at root level root=/some/directory destination=. for file in ${root}/*; do ln -s ${file} ${destination} done
true
8864a92b78a8349d6a083ccc8f0ff8ec808a03b8
Shell
netqyq/shell-examples
/code/CH07/if_exam3.sh
UTF-8
170
3.328125
3
[ "MIT" ]
permissive
# if_exam3: input a file name and test the file exist or not. #!/bin/sh if [ ! -e "$1" ] then echo "file $1 do not exist." exit 1 else echo "file $1 exits." fi
true
af3610e8333034f9a5e48dd87fa6a4ade3beffd5
Shell
patel327/ece364
/Prelab01/.svn/text-base/exist.bash.svn-base
UTF-8
192
3.296875
3
[]
no_license
#! /bin/bash # #$Author$ #$Date$ #$HeadURL$ #$Revision$ # while(($# != 0)) do if [[ -r $1 ]] then echo "File $1 is readable!" elif [[ ! -e $1 ]] then touch $1 fi shift done exit 0
true
ae356ef934fb2a533eece0044b52b0ca74eeb138
Shell
snikitav/palloc
/stress_test_suit.sh
UTF-8
291
2.8125
3
[ "MIT" ]
permissive
#!/bin/bash mkdir -p build cd build for I in `seq 1 256` do for J in `seq 1 256` do echo "BLOCK_SIZE=$I POOL_SIZE=$J" (cmake .. -DBLOCK_SIZE=$I -DPOOL_SIZE=$J -DCMAKE_BUILD_TYPE=Debug && make) &>/dev/null ./out/test/palloc_test echo "" done; done;
true
99fee1840a594612e96cc3e16c409441d099cc2b
Shell
hobofan/dotfiles
/bin/tat
UTF-8
121
2.59375
3
[ "MIT" ]
permissive
#!/bin/sh # # Attach or create tmux session named the same as current directory. # tmux new-session -As `basename $PWD`
true
232f7f051286fad17fac41375e58c739df9b2bba
Shell
HenryChenV/ChaosSpace
/rdo_reposerver/build.sh
UTF-8
1,320
3.15625
3
[]
no_license
#!/bin/sh if [ ! `id -u` == 0 ];then echo pls run as root ! exit 1 fi RDO_RELEASE=rdo-release-icehouse-4.noarch.rpm RDO_DIR=openstack-icehouse/ RDO_ROOT=https://repos.fedorapeople.org/repos/openstack/ # #选择一台CentOS服务器,安装以下软件: # yum -y install yum-utils createrepo yum-plugin-priorities # yum -y install httpd ...
true
e9a2d736f35dca0cfe1d3d2ac005d7ee86d48fac
Shell
kaltura/server-bin-linux-64bit
/run/run-segmenter.sh
UTF-8
371
3.046875
3
[]
no_license
#!/bin/bash SYSTEM_INI_FILE=/etc/kaltura.d/system.ini if [ -r "$SYSTEM_INI_FILE" ];then . $SYSTEM_INI_FILE else echo "I could not source $SYSTEM_INI_FILE. Exiting." exit 1 fi KALTURA_BIN=$BASE_DIR/bin KALTURA_BIN_DIRS=$KALTURA_BIN KALTURA_BIN_FFMPEG=$KALTURA_BIN_DIRS/ffmpeg-0.10-dir/lib LD_LIBRARY_PATH=$K...
true
9b9e0ba731cc36853cc5a65404a0cf6d4ccd338f
Shell
lavacano/pengwin-setup
/pengwin-setup.d/uninstall/go.sh
UTF-8
469
3.328125
3
[ "MIT" ]
permissive
#!/bin/bash # shellcheck source=/usr/local/pengwin-setup.d/uninstall/uninstall-common.sh source "$(dirname "$0")/uninstall-common.sh" "$@" function main() { echo "Uninstalling go" echo "Removing $go_dir" sudo_rem_dir "/usr/local/go" echo "Removing go build cache" rem_dir "$HOME/.cache/go-build" echo "...
true
724795a6eb3cd7c63969f84aa198b91be73c73cd
Shell
k-tada/dotfiles
/setup_scripts/nvim.sh
UTF-8
235
3.046875
3
[]
no_license
#!/bin/bash function command_exists { command -v "$1" > /dev/null; } ### # install NeoVim if ! command_exists nvim ; then echo " --- NeoVim --- " brew install neovim/neovim/neovim pip install neovim echo " --- End --- " fi
true
f8d9d89d2b0a1a55e97b003d7d4631f40b00f1b5
Shell
dcrdev/cardano-nft-maker
/init.sh
UTF-8
392
2.75
3
[ "MIT" ]
permissive
#!/bin/bash network="testnet" working_dir="$HOME/cardano-nft-maker-testnet" if [[ $1 == 'mainnet' ]]; then network="mainnet" working_dir="$HOME/cardano-nft-maker-mainnet" cp keys/main.payment.* ./backend-server/mainnet/priv/wallet/main else cp keys/test.payment.* ./backend-server/testnet/priv/wallet/test fi ...
true
c90012fb985bf4da036523b069982dacb79b35d5
Shell
kirakira/opencensus-cpp
/tools/presubmit.sh
UTF-8
1,739
3.1875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # Copyright 2018, OpenCensus Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable...
true
9439c8b84eaea415e37fa79c0e9281178fc0cb7b
Shell
qqqestion/dot-files
/.zshrc
UTF-8
1,394
2.78125
3
[]
no_license
# Path to your oh-my-zsh installation. # export ZSH="~/.oh-my-zsh" ZSH=$HOME/.oh-my-zsh # this makes vim works with cntr-s command stty -ixon # Warning: Failed to set locale category LC_COLLATE to en_CH. # export LC_ALL=en_US.UTF-8 export PYTHONPATH=${PYTHONPATH}:/Library/Python/3.8/site-packages # Set name of the t...
true
5cd0afeae64855a90b02e8b1f6b1b5a56f488414
Shell
Swifree/init-script
/init-mac.sh
UTF-8
1,896
3.25
3
[]
no_license
# 当配置不存在时添加配置到~/.bash_profile addConfigIFNX() { echo $1 f=~/.bash_profile touch $f if [ $(fgrep -c $1 $f) -eq 0 ] then echo $1 >> $f fi #配置立即生效 source $f } # 判断函数是否存在 notFound() { type $1 | grep -c 'not found' } # 安装homebrew if [ $(notFound brew) -gt 0 ] then /usr/bin...
true
c6f098e5d6a2c3ca403c4f23dd3d59aa7f63acef
Shell
DANS-KNAW/easy-bag-store
/src/main/assembly/dist/bin/send-bag-store-report.sh
UTF-8
1,549
4.28125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # Helper script to create and send a list of all DOIs stored in a given bag-store # # Usage: ./send-archived-datasets-report.sh <bag-store> <from-email> <to-email> [<bcc-email>] # BAGSTORES_BASEDIR=$1 DARK_HOST=$2 BAGSTORE=$3 FROM=$4 TO=$5 BCC=$6 TMPDIR=/tmp DATE=$(date +%Y-%m-%d) REPORT=$TMPDIR/...
true
099dcf90786ab6d27a452477001cd18f13ae756d
Shell
wase90168/docker-lecture
/solution/install.sh
UTF-8
927
3.3125
3
[]
no_license
#!/usr/bin/env bash if [ "$(id -u)" != "0" ]; then echo "This script must be run as root" 1>&2 exit 1 fi # Install updates apt-get update apt-get upgrade -y # Adding some empty lines for readability echo ""; echo ""; echo "" # Install Docker apt-get update apt-get install apt-transport-https ca-certificates c...
true
bdf56807b0d21b8cb120e4a909dcb3cc2a16fe54
Shell
thanethomson/lifetracker-iter3
/scripts/run-compose.sh
UTF-8
459
3.796875
4
[]
no_license
#!/bin/bash set -e if [ -z "$1" ] || [ -z "$2" ]; then echo "Usage: ./run-compose.sh <lifetracker_db_password> <postgres_password> [optional_compose_cmd]" exit 1 fi if [ -z "${IMAGE_TAG}" ]; then export IMAGE_TAG="0.1.0-stretch" fi if [ -z "$3" ]; then export COMPOSE_CMD=up else export COMPOSE_CM...
true
e712f17c0243e14a970663dd8220a0b5e632a7c6
Shell
velentr/shellscripts
/doccount.sh
UTF-8
356
3.0625
3
[ "LicenseRef-scancode-other-permissive", "MIT" ]
permissive
#!/bin/sh count=0 for f in *.pdf; do count=`expr $count + $(pdfinfo "$f" 2> /dev/null | grep -a -e Pages | awk '{ print $2 }')` done for f in *.djvu; do count=`expr $count + $(echo "n" | djvused "$f")` done for f in *.ps; do count=`expr $count + $(psselect -p_1 $f 2>&1 >/dev/null | cut -f1 -d' ' | sed ...
true
f18cf2f5cf56c51c37b22f2e6cda65c4090fbddc
Shell
sylarLiu/Linux-Xenomai
/linux-3.18.20_xenomai-2.6.5/scripts/install_orocostoolchain2.9_onxenomai.sh
UTF-8
1,547
3.359375
3
[]
no_license
#! /usr/bin/env bash #============================================================================== # Copyright (C) 2018 . All rights reserved. # # File Name : install_orocostoolchain2.9_onxenomai.sh # Author : sylar.liu # E-mail : sylar_liu65@163.com # Created Time : 2018/11/12 21:06:29 #...
true
5ff710630da2dbe92d188e8186c8493d70e918ee
Shell
wslab/kubes
/snoop-servlet/build.sh
UTF-8
361
3.21875
3
[]
no_license
#!/bin/bash REPO=localhost:32000 LABEL=dev echo building image, tag: ${REPO}/snoop:${LABEL} docker build -t ${REPO}/snoop:${LABEL} . if [ $? -ne 0 ] then echo docker build error, stop. return fi echo publishing to ${REPO}/snoop:${LABEL} docker push ${REPO}/snoop:${LABEL} if [ $? -ne 0 ] then echo docker publ...
true
8132313f83c92d1162289203e65690f68500ed4e
Shell
sdothum/dotfiles
/bin/bin/functions/media/play
UTF-8
3,990
3.296875
3
[ "MIT" ]
permissive
#!/usr/bin/dash # sdothum - 2016 (c) wtfpl # Media # ══════════════════════════════════════════════════════════════════════════════ # ................................................................. Media player # Usage: play <url> | [-q] <path> [<title>] # # Note: <path> may be a media file or folder containing su...
true
58956858521706fc064339a4f1ce925eff291d05
Shell
da99/da_spec
/sh/test
UTF-8
196
2.625
3
[ "MIT" ]
permissive
#!/usr/bin/env zsh # # set -u -e -o pipefail local +x THIS_DIR="$( dirname "$(realpath "$0")" )/.." cd "$THIS_DIR" sh/build set -x find dist/spec/ -type f -name "*.spec.mjs" | xargs -I F node F
true
764825b1bd6262f3c0521a864212d3daf610d51f
Shell
rachelmccown/hangman-secureci-tester-max
/coveros_opensource_ci_cd-master/hangmaninstaller/signed.sh
UTF-8
643
2.734375
3
[]
no_license
#!/bin/bash set -x SIGNED="" while [ -z "$SIGNED" ] ; do SIGNED=`curl -k -H "Accept: pson" https://puppetmaster.demo.secureci.com:8140/production/certificate_status/$1 | grep signed` ; echo checking tomcat - Exists:$1; sleep 5; done FACTS="" while [ -z "$FACTS" ] ; do FACTS=`curl -k -H "Accept: yaml" https://puppetmas...
true
89309968c0a0d2d4904af3c5fa1d8c62b32e05b2
Shell
stanislawbartkowski/mytpcds
/proc/db2commonproc.sh
UTF-8
3,720
3.671875
4
[ "Apache-2.0" ]
permissive
# ----------------------------------- # my db2 command shell functions # version 1.00 # 2021/11/11 # 2021/12/02 - added set -x w at the beginning # 2021/12/12 - change in loadserver # 2021/12/18 - db2clirun, timeout detection # 2021/12/16 - db2clirun, load messages # ----------------------------------- #set -x #w db2...
true
b18b73c74bbffe0bd018a8c6a94bc83429ec511a
Shell
eabyshev/base
/big-data/nutch/nutch/DEBIAN/postinst
UTF-8
378
3.578125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e FilePath="/etc/profile" . $FilePath nutchVersion=1.4.4 nutchHome="/opt/nutch-$nutchVersion" nutchConf="/etc/nutch" if [[ "x$NUTCH_HOME" != "x" ]]; then nutchHome=$NUTCH_HOME fi if [[ "x$NUTCH_CONF_DIR" != "x" ]]; then nutchConf=$NUTCH_CONF_DIR fi # Create symlink to configurati...
true
8eccfd5123e0266005d61f1ffe10a440531e3680
Shell
andersonledo/ironman
/templates/remember-next-events.sh
UTF-8
267
2.84375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh #paramenters EVENTOS_PROJETO=$1 RODAPE=$2 #template cat << EOF Subject: [$NOME_PROJETO - $FASE_PROJETO] Próximos eventos Pessoal, Lembrando que nos próximos dias temos os seguintes eventos: $EVENTOS_PROJETO Agendem-se. Atenciosamente, $RODAPE EOF
true
05f203aa5ae9504f0689731f5fc0b656ae5777b8
Shell
kevindang88/edu
/cs260/assignment-3/s5.ksh
UTF-8
277
3.296875
3
[]
no_license
# Same as Bourne shell echo -e "Enter a color: \c" read color case $color in bl*|Bl*) echo "The sky color is $color." ;; red|yellow) echo "The sun is sometimes this color." ;; *) echo "That color is not in any of the categories defined." ;; esac
true
805542122df8355dea32fd31317b7af48a506484
Shell
qzchenwl/utils
/scripts/bin/wireless-setup
UTF-8
183
2.578125
3
[]
no_license
#!/bin/bash if [ -z "$1"] echo "Usage: $0 ESSID" fi sudo ifconfig wlan0 up sudo iwconfig wlan0 txpower on sudo iwconfig wlan0 essid "$1" # key s:password [1] sudo dhclient wlan0
true
e9c1cb3b0ff3d7484be64a730d6a0a855b78a5f9
Shell
art200109/project
/flask/flask_user/useradd.sh
UTF-8
396
2.5625
3
[]
no_license
#! /bin/bash cp -n /bin/bash /bin/rbash mkdir -p ./flask_user/programs ln -s /usr/bin/docker ./flask_user/programs/ cp ./.bash_profile ./flask_user mkdir ./flask_user/.ssh cp ./.ssh/docker_key.pub ./flask_user/.ssh/authorized_keys userdel -r flask_user > /dev/null useradd -s /bin/rbash -G docker flask_user cp -rf ....
true
95900fd4254b1513f0f8437e772c07990cbac39f
Shell
jtwray/solana
/ci/test-bench.sh
UTF-8
740
3.125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e cd "$(dirname "$0")/.." # shellcheck disable=SC1091 source ci/upload_ci_artifact.sh eval "$(ci/channel-info.sh)" ci/version-check.sh nightly export RUST_BACKTRACE=1 _() { echo "--- $*" "$@" } set -o pipefail UPLOAD_METRICS="" TARGET_BRANCH=$BUILDKITE_BRANCH if [[ -z $BUILDKITE_BRAN...
true
c2b84fce4658fca128371b27e4d65f9df57c5551
Shell
xaverh/bootstrap-scripts
/stage3/root.sh
UTF-8
1,741
3.234375
3
[ "MIT" ]
permissive
#!/bin/true set -e . $(dirname $(realpath -s $0))/common.sh printInfo "Configuring root filesystem layout" install -v -D -d -m 00755 "${SERPENT_INSTALL_DIR}"/usr/{bin,lib,share,sbin,include} install -v -D -d -m 00755 "${SERPENT_INSTALL_DIR}"/{etc,proc,run,var,sys,dev,tmp} install -v -D -d -m 00755 "${SERPENT_INSTAL...
true
33be4c439308df7a04b99b4cede304eb96de9e9c
Shell
rmetcalf9/saas_user_management_system
/services/testContainer/testRunAppLocalDeveloperEndpoint.sh
UTF-8
736
2.8125
3
[ "MIT" ]
permissive
#!/bin/bash echo "Only works on locally running container because /public/api and /public/web are not present" if [[ "E${SAASCODEFRESHTESTUSERPASSWORD}" == "E" ]]; then echo "You need to set SAASCODEFRESHTESTUSERPASSWORD to use this" exit 1 fi export HOSTIP=`ip -4 addr show scope global dev wlp2s0 | grep inet | ...
true
dacbf6c842687cbe70008daed3fbb5d0bb6cfe40
Shell
rdisipio/MAMbo
/run/scripts_ttdiffxs_8TeV/submit_mc_particle_Alpgen.sh
UTF-8
944
2.90625
3
[]
no_license
#!/bin/bash analysis=tt_diffxs_8TeV outtag=TTbarResolved_resolved syst=particle queue=T3_BO_LOCAL [[ ${HOSTNAME} == *"cern.ch"* ]] && queue=1nh alpgen_list=${PWD}/AlpgenPythia_ljets.dat [ ! -z $1 ] && alpgen_list=$1 for ch in el mu do for dts in $(cat ${alpgen_list} | grep ":${ch}" | grep -v 'jjjj' | sort ) do ...
true
8f58229a0414fdabf201bc5e7b2af48962fbf8bc
Shell
Adrian-Rosoga/code_pi
/PiWebServer/pi_ws.service.install.sh
UTF-8
310
2.6875
3
[]
no_license
#!/bin/bash set -e sudo cp /home/pi/code_pi/PiWebServer/pi_ws.service /etc/systemd/system sudo systemctl daemon-reload sudo systemctl start pi_ws.service # Check status sudo systemctl status pi_ws.service echo "All seems ok, enabling the service now..." sudo systemctl enable pi_ws.service echo "Done!"
true
02e9ea0c95bd5221d37072da173c05078dab04e2
Shell
mmurdoch/arduinounit
/examples/advanced/test-vitro
UTF-8
1,021
3.859375
4
[ "MIT" ]
permissive
#!/bin/bash # # Figure out what to test # if [ $# -gt 0 ]; then ARDUINO_TARGET_INO="$1" else ARDUINO_TARGET_INO="$(echo *.ino)" fi if [ ! -f "${ARDUINO_TARGET_INO}" ] ; then echo "must specify ino file" exit 1 fi ARDUINO_TARGET_DIR="$(dirname "$ARDUINO_TARGET_INO")" ARDUINO_TARGET_BASE="$(basename "$ARDUIN...
true
a7a63647d7eb71cfe1f5fb9c6b2338602d195290
Shell
Vaa3D/v3d_external
/build_VS2015.cmake
UTF-8
7,238
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash function download { if [[ ! -e $2 ]]; then echo "Downloading $1" curl -L $1 -o $2 fi } shopt -s expand_aliases; BUILD_HDF5=0 BOOST_MAJOR_VERSION=1_57 BOOST_VERSION=${BOOST_MAJOR_VERSION}_0 CMAKE_VERSION=2.8.12 CMAKE_ARGS="" CMAKE_PLATFORM_ARGS= CMAKE_BUILD="Release" CMAKE_EXE="" BU...
true
0cbfc6840484049a980a396fe5e29914b2c83fee
Shell
Landrylab/Gene_duplication_2019
/scripts_for_simulations/003_foldx_repair_slurm.sh
UTF-8
746
2.84375
3
[]
no_license
#!/bin/bash # This code receives the name of a file that should be looked inside the 002_ins_res_alt_crd folder and passes it on to the FoldX RepairPDB function. # $1 = input PDB without the 'pdb' extension cat > $1_repair.sbatch << EOF #!/bin/bash #SBATCH -D /home/afcis2/FoldX_simulations #SBATCH -J $1_repair #SBAT...
true
963ee8dd6093a0d578515367bfcf108c2dc4646f
Shell
nneonneo/pwn-stuff
/misc/escencode_test.sh
UTF-8
1,467
3.4375
3
[]
no_license
#!/bin/bash -e ESCENCODE="../escencode.py" DIR=escencode_test mkdir -p $DIR cd $DIR echo "[+] Making test files" python -c 'import sys; sys.stdout.write("".join(chr(a)+chr(b) for a in xrange(256) for b in xrange(256)))' > test.bin echo "[+] Testing C output" cat > test.c <<EOF char test[] = $($ESCENCODE --style=c...
true
8b5c62593649cb4058996093b9af78f52045d557
Shell
Wooork/Telegram-iOS
/third-party/webrtc/build-webrtc-buck.sh
UTF-8
1,168
3.015625
3
[]
no_license
#/bin/sh set -x set -e BUILD_DIR="$1" ARCH="$2" echo "BUILD_DIR=$BUILD_DIR" echo "ARCH=$ARCH" export PATH="$PATH:$BUILD_DIR/depot_tools_sources/depot_tools" rm -rf "$BUILD_DIR/webrtc-ios/src/openssl" cp -R "$BUILD_DIR/openssl" "$BUILD_DIR/webrtc-ios/src/" cp -R "$BUILD_DIR/libssl" "$BUILD_DIR/webrtc-ios/src/" pus...
true
5545b5715bf5e08482d759b87548f1bfad129f17
Shell
patilswati27/ShellScript
/Basic/table.sh
UTF-8
145
3.21875
3
[]
no_license
#!/bin/bash echo "Enter a Number" read no echo "Enter Range" read r i=0 while [ $i -le $r ] do echo "`expr $no^$r`" r=`expr $r - 1` done
true
55ab04fa23d429de19497e1b19b8fd43962f6cd9
Shell
cym13/scripts
/arpspoof.sh
UTF-8
1,151
3.984375
4
[]
no_license
#!/usr/bin/sh if [ -z $(which nemesis) ] ; then echo "nemesis needed, check in your repositories." exit elif [ $# -ne 3 ] ; then echo "Usage: arpspoof.sh INTERFACE TARGET_IP HOST_IP" exit elif [ $(whoami) != "root" ] ; then sudo "$0" $@ exit fi # nemesis_req $1=from_ip $2=to_ip $3=to_mac nem...
true
7b5b96508bdc3e6e14bfa5ae2bd52071b41fe05e
Shell
SSchott/haddock3
/bin/activate
UTF-8
245
2.5625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash export HADDOCK3=/home/rodrigo/haddock3 export CNS_EXE=/home/rodrigo/software/CNS/bin/cns if [[ -z "${PYTHONPATH}" ]]; then PYTHONPATH=${HADDOCK3} else PYTHONPATH=${PYTHONPATH}:${HADDOCK3} fi export PATH=${PATH}:${HADDOCK3}/bin
true
7db5b6d45f8f9095fb29981d634518bc09c8867e
Shell
jeonghoonkang/BerePi
/apps/camera/crontab.sh
UTF-8
1,049
2.609375
3
[ "BSD-2-Clause" ]
permissive
## */30 * * * * bash /home/cam.sh > /home/.../.../log/crontab.camera.log 2>&1 # 아래 실행 명령은 crontab 에서는 동작하지 않음 # *.sh 파일로 저장하고 실행해야 함, 위 처럼, bash /home/tinyos/cam.sh 로 실행 # fswebcam -r 1280*960 /home/.../web/png/image_$(date '+%Y-%m-%d_%H:%M:%S').jpg # cam.sh # #dest='{SRC}' # # fswebcam -r 1280*960 /home/.../web/png...
true
f4922418b7a1f343da26e52567ef94f6467d5968
Shell
gnpok/shell
/mysqlOperation/webService_isRunning.sh
UTF-8
760
3.625
4
[]
no_license
#!/bin/bash #检测服务是否在运行,若不在则启动 soft=(nginx php-fpm mysqld redis) for S in "${soft[@]}";do ps=`pstree | grep $S` if [ "$ps" == "" ]; then `service $S start` fi done #只检测mysql是否在运行建议使用下面 result=`/usr/bin/mysqladminping` expected='mysqld is alive' if[[ "$result"!= "$expected"]] then echo"It's dead - restart my...
true
96e0b586aa85641b4f04193f71ecd67c85ea56b6
Shell
vsmaxim/infotecs-sysadm-test
/pskiller
UTF-8
666
3.5625
4
[]
no_license
#!/bin/bash # # Kills processes from sudo via ssh if [[ -z $3 ]]; then echo "Usage: pskiller ids /path/to/passwds.txt [ip/hostname] ..." >& 2 exit 1 fi exec 3< $2 read username <&3 read password <&3 read killingUsername <&3 read killingPassword <&3 exec 3<&- for host in ${@:3}; do sshpass -p ${password} ssh -o ...
true
2383c12709d0a422e4cb26db221362f6e15a2b61
Shell
nvanderperren/ResurrectionLab
/liberaal_archief_mac_floppies.sh
UTF-8
2,875
3.875
4
[ "CC-BY-4.0" ]
permissive
#!/bin/bash # # script to more or less automate the imaging of Macintosh formatted floppies # for Liberaal Archief # author: Nastasia Vanderperren (PACKED vzw) # script written for macOS and OS X systems # prerequisites: ClamAV, kryoflux software, hfsutil, siegfried and bagit.py # source: John Durno, http://journal.co...
true
49e05f90aa13ddf6477162c8c2698676e4649802
Shell
liguang8212/python-code-encryption
/build_py_to_pyc.sh
UTF-8
472
2.984375
3
[]
no_license
#!/bin/sh ########################################################## # Author: LiGuang # Create Date: 2021/07/22 # Version: 1.0 ########################################################## src_dir=$1 if [ ! -d $src_dir ]; then echo "source code dir does not exist!" fi python -O -m compileall -b $src_dir find $sr...
true
86caaa59f56d68374066a01b54df20cf6f5620b0
Shell
jcherven/dotfiles-debian
/initDotfiles.sh
UTF-8
2,188
3.53125
4
[]
no_license
#!/bin/bash set -e # Some setup of directories that will be used by dotfiles # Listing of directories needed by dotfiles. Add new needed entries to this array. DIRECTORIES=( # directories needed in ~/.config "$HOME/.config/nvim" "$HOME/.config/git" ) # Create directories defined in DIRECTORIES array. Require...
true
11e639531f863a2c732e53a464a1a4e4b88a7021
Shell
nicolasgalvez/procyon-wordpress
/bin/remote-setup
UTF-8
1,552
4.0625
4
[]
no_license
#!/usr/bin/env bash # This script will setup git on the remote Digital Ocean server. # It will create a branch called 'live' so you can deploy to the live server with a git push. # It will move the current website to a directory called html.bak. # Based on the steps here: https://www.digitalocean.com/community/tutoria...
true
d573a282e5cb5fd580c0b86168f3a912ddcbc0ba
Shell
mattbdean/CyanideViewer
/scripts/pull_db.sh
UTF-8
954
3.796875
4
[]
no_license
#!/bin/bash # http://stackoverflow.com/a/246128/1275092 DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "$DIR"/settings.sh # First, run as the application and make the database world readable and world writable # Then, pull the database # Finally, run as the application and make the database readable ...
true
d5782d3c6a251459f2469d29ffb64d6d7858dd4f
Shell
lorthal/IAD2
/runpart1.sh
UTF-8
670
2.53125
3
[]
no_license
#!/bin/bash p="/mnt/d/Semestr 6/IAD/Zad2" n=2 e=1000 l=0.6 s=3 while (( $n <= 20 )); do "$p""/runprog.sh" -e $e -n $n -l $l -s $s -m "neural_gas" -o "$n""_neural_gas_square_circle_output.txt" -p "square_filled -3 0 1 150 circle 3 0 2 150" "$p""/runprog.sh" -e $e -n $n -l $l -s $s -m "neural_gas" -o "$n""_neu...
true
7d59b9772cd2138a481964f895cfc5b6fa7ab1be
Shell
Piyoshi/dotfiles
/.zshrc
UTF-8
1,390
2.578125
3
[]
no_license
fpath+=~/.zfunc source ~/alias source ~/.myshrc # VCS情報を取得するzshの便利関数vcs_infoを使う autoload -Uz vcs_info # branch情報の表示フォーマットの指定 # %b ブランチ情報 # %a アクション名(mergeなど) zstyle ':vcs_info:*' formats '[%b]' zstyle ':vcs_info:*' actionformats '[%b|%a]' precmd () { psvar=() LANG=en_US.UTF-8 vcs_info [[ -n "...
true
d9168bae702250d4b57bb049be8e7d61da657235
Shell
eXolnet/exolnet-macos-toolbox
/bin/exo-software-select
UTF-8
1,461
4.15625
4
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/usr/bin/env bash # # Script setup # # Define toolbox directory if not set if [[ -z "$TOOLBOX" ]]; then TOOLBOX="$HOME/.exolnet/toolbox" fi # Check if toolbox directory exists if [[ ! -d "$TOOLBOX" ]]; then echo "Directory ~/.exolnet does not exists, exiting ..." exit 1 fi # Source helpers . "$TOOLBOX...
true
945875a5e3a20fefff068231407026d2963cb505
Shell
srr013/dokku
/plugins/ssh-keys/subcommands/list
UTF-8
404
3.21875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eo pipefail [[ $DOKKU_TRACE ]] && set -x source "$PLUGIN_CORE_AVAILABLE_PATH/common/functions" source "$PLUGIN_AVAILABLE_PATH/ssh-keys/functions" cmd-ssh-keys-list() { declare desc="List ssh key hashes" declare cmd="ssh-keys:list" [[ "$1" == "$cmd" ]] && shift 1 declare SSH_NAME="$1" ...
true
5758027c9433cc35db2e3c67a8561a265748e62c
Shell
mariusae/make-emacs
/make-emacs
UTF-8
1,143
4.09375
4
[]
no_license
#!/bin/bash # # Make a standalone emacs configuration. set -e if [ $# -ne 2 ]; then echo "`basename $0` <emacs.d-directory|emacs-init-file> <output file>" \ > /dev/null 1>&2 exit 1 fi if which md5sum > /dev/null; then MD5=md5sum else MD5=md5 fi EMACSD=$1 OUTPUT=$2 # Force absolute path for...
true
b1011a09c66d19b59ad787600d7b48430ba59efc
Shell
dockerpirate/dovecot
/rootfs/usr/local/bin/dovecot-wrapper
UTF-8
727
3.4375
3
[]
no_license
#!/bin/sh # Parse dovecot version string from the APK database DOVECOT_VERSION_STRING="$( awk -- ' BEGIN { PKGID = "" PKGNAM = "" PKGVER = "" FS = ":" } { if($1 == "C") { PKGID = $2 } else if($1 == "P") { PKGNAM = $2 } else if($1 == "V") { PKGVER = $2 } if(PKG...
true
60b16cbc4344aeefdc1aeb5dc92f36d09545a5c4
Shell
ryanmorillo/dotfiles
/mutt/scripts/x-face-unicode
UTF-8
1,451
3.671875
4
[]
no_license
#! /bin/bash # # Read a mail message on stdin and output X-Face using unicode block # characters. Makes the output a 24x24 text block. # You obviously need a font that supports those. # # Created by Patrice Levesque in 2008, donated to the public domain. # Set this to 0 or 1 depending on your preference INVERSE=1 UN...
true
15dace9debd9c1028d93dd1070f2dffd3d846bbb
Shell
andrewkeller/ak-git-tools
/bin/git-repocache-clone-by-name
UTF-8
1,180
4.09375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/sh # git-repocache-clone-by-name # # Copyright (c) 2013 - 2014, Andrew Keller # # A wrapper around git-clone that allows the user to specify the URI of the # repository using the name of a remote in the repocache instead of the URI # itself. The repocache is also used for the clone. For example, one may type:...
true